Search List of APIs
curl --request GET \
--url https://{tenant}/api/apis/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/apis/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/apis/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apis": [
{
"api_definition": {
"api_id": "b84fe1a04e5648927971c0557971565c",
"auth": {
"auth_header_name": "authorization"
},
"definition": {
"key": "version",
"location": "header"
},
"name": "Tyk Test API",
"org_id": "664a14650619d40001f1f00f",
"proxy": {
"listen_path": "/tyk-api-test/",
"strip_listen_path": true,
"target_url": "https://httpbin.org"
},
"use_oauth2": true,
"version_data": {
"not_versioned": true,
"versions": {
"Default": {
"name": "Default"
}
}
}
}
}
],
"pages": 1
}{
"Message": "Could not retrieve APIs",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/apis/search",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to unmarshal APIs data",
"Meta": null,
"Status": "Error"
}APIs
Search List of APIs
This will return a list of APIs whose names matches the provided q query parameter.If q is not sent all APIs will be returned.The returned results are paginated.
GET
/
api
/
apis
/
search
Search List of APIs
Authorizations
The Tyk Dashboard API Access Credentials
Query Parameters
Use p query parameter to say which page you want returned. Send number less than 0 to return all items.
The name of the APIs you want to search
Was this page helpful?
⌘I